Bug 1467199 - [RFE] Ability to assign subscription to users in Customer Portal
[RFE] Ability to assign subscription to users in Customer Portal
Status: NEW
Product: Red Hat Customer Portal
Classification: Red Hat
Component: Subscriptions/RHSM (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas "Shea" DeAntonio
Jon Allen
:
Depends On:
Blocks: 1472395
  Show dependency treegraph
 
Reported: 2017-07-03 03:13 EDT by Ashfaqur Rahaman
Modified: 2017-07-18 11:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Customer Requirement (324.18 KB, application/pdf)
2017-07-06 01:06 EDT, Ashfaqur Rahaman
no flags Details

  None (edit)
Description Ashfaqur Rahaman 2017-07-03 03:13:26 EDT
Description of problem:

Customer needs an option in Customer portal where it will be possible to distribute the total subscriptions among the users. Also, one user will not be able to see the subscription for another users. 

For example, in our Red Hat account we have subscriptions for:
1. Our internal use
2. Customer A
3. Customer B

We need a method for Customer A to be able to login to the Red Hat portal and only have access to the subscriptions and software that we have allocated to them. 

Currently, If a user has grant access for “Download Software and Updates” then that user has access to all licenses and software for all items 1-3 instead of any particular account. 

How reproducible:
N/A


Steps to Reproduce:
N/A

Actual results:
N/A

Expected results:
Org Admin can create user and assign them different subscription. When a user logged in, he can only see the subscription which are assigned to him. Also download the respective software based on this subscription. 


Additional info:
N/A
Comment 1 Ashfaqur Rahaman 2017-07-06 01:04:56 EDT
>>>> RFE Template <<<< 

1. Proposed title of this feature request

>> Managing multiple Account IDs (children) from single Account ID (parent) from the Red Hat customer portal, when not using SAM/Satellite Deployments

2. Who is the customer behind the request?

Account Name : BAE Systems Australia - Joint Division
Account Number	1158984

TAM customer: no

SRM customer: yes

Strategic: yes

3. What is the nature and description of the request?

>> Request new feature in Customer portal

4. Why does the customer need this? (List the business requirements here)

>> Our group uses a RHEL embedded developer license to build our integrated product. As such we signed a partner program and within this it states that we are responsible for distributing updates to our end customer who use our integrated product.

As such we create a separate account ID for our customer, with us as the
organisation administrator and transfer the contract #/subscription to that account ID (as per customer support # 162499 ) to enable them to be able to register their systems and receive Errata updates. We still need to keep track of the number of licenses purchased. The current solution requires us to create multiple account IDs with multiple logins to manage and keep track of them which becomes time consuming and inefficient.

5. How would the customer like to achieve this? (List the functional requirements here)

>> Please check the attached PDF 


6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

>> Please check the attached PDF 

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No 

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

>> Q4-2017 if possible.

9. Is the sales team involved in this request and do they have any additional input?

>> Sales involved and no further requirements from them

10. List any affected packages or components.

>> Customer portal 

11. Would the customer be able to assist in testing this functionality if implemented?

>> Yes – please give 2 days’ notice
Comment 2 Ashfaqur Rahaman 2017-07-06 01:06 EDT
Created attachment 1294811 [details]
Customer Requirement

Note You need to log in before you can comment on or make changes to this bug.